<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/activity_sight_configuration"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.configuration.SightConfigurationActivity">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/configSightLbl"
                style="@style/Widget.AppCompat.TextView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="16dp"
                android:background="@color/purple_700"
                android:padding="4dp"
                android:text="@string/scTitleSightConfig"
                android:textAppearance="@style/TextAppearance.AppCompat.Large"
                android:textColor="@color/white"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="1.0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.google.android.material.textfield.TextInputLayout
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                android:id="@+id/sightSelectionLayout"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/configSightLbl">

                <AutoCompleteTextView
                    android:id="@+id/sightSelectionTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:editable="false"
                    android:hint="@string/rcSightLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/scManufacturerLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/sightSelectionLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/scManufacturerTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/scManufacturerLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/scModelLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/scManufacturerLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/scModelTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/scModelLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/sccHeVSLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/scModelLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/sccHeVSTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/scHeVSLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <LinearLayout
                android:id="@+id/scaVHLinearLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="horizontal"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/sccHeVSLayout">

                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/scaVLayout"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                    android:layout_weight="1"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="8dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/sccHeVSLayout">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/scaVTxt"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/scaVLbl"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/scaHLayout"
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                    android:layout_weight="1"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="8dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/sccHeVSLayout">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/scaHTxt"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/scaHLbl"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>

            </LinearLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/scVertScaleRngMinLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_weight="1"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:layout_marginHorizontal="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/scaVHLinearLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/scVertScaleRngMinTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/scVertScaleRngMinLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/scVertScaleRngMaxLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_weight="1"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:layout_marginHorizontal="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/scVertScaleRngMinLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/scVertScaleRngMaxTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/scVertScaleRngMaxLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/scPointerOffsetLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_weight="1"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:layout_marginHorizontal="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/scVertScaleRngMaxLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/scPointerOffsetTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/scPointerOffsetLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp"
                android:orientation="horizontal"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/scPointerOffsetLayout">

                <Button
                    android:id="@+id/sightcfg_button_new"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:text="@string/caption_New"
                    app:icon="@drawable/ic_icon_add"
                    app:iconPadding="-8dp" />

                <Button
                    android:id="@+id/sightcfg_button_delete"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:paddingLeft="4dp"
                    android:paddingRight="4dp"
                    android:text="@string/caption_Delete"
                    app:icon="@drawable/ic_icon_delete"
                    app:iconPadding="-8dp" />

                <Button
                    android:id="@+id/sightcfg_button_save"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:paddingLeft="4dp"
                    android:paddingRight="4dp"
                    android:text="@string/caption_Save"
                    app:icon="@drawable/ic_icon_save"
                    app:iconPadding="0dp" />

            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>